Supported Windows versions (was: Re: unix package)

Neil Mitchell ndmitchell at
Sun Jul 1 08:22:49 EDT 2007

Hi Esa,

> Maybe this is a good place to ask for opinions.  Anyone have any or know of
> need to support old Windows versions?  I am also curious if someone still
> writes software for pre-Windows 2000 NTs, as there's some nice API functions
> in Windows 2000.

"Effective July 11, 2006, Windows 98, Windows 98 Second Edition, and
Windows Me (and their related components) will transition to a
non-supported status. After this date, Microsoft will no longer
provide any incident support options or security updates. Microsoft is
not offering a custom support agreement for these products."

I think its perfectly reasonable to assume that people only run
Windows 2000 and Windows XP. Anyone who is running anything older is
either a) not connected to the internet, or b) full of spyware. Either
way, running brand new GHC applications is unlikely to be top of their
list of priorities.

As a personal point of experience, when developing WinHugs I made it
Win NT only, by accident. It was only a one line change to fix it, but
it was a very long time before anyone complained, and trying to find a
Win98 machine that could connect to the world was nearly impossible.



More information about the Libraries mailing list